%define upstream_name    Dist-Zilla-Plugin-PortabilityTests
%define upstream_version 1.101420

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Release tests for portability
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Portability::Files)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/portability.t - a standard Test::Portability::Files test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.420-1mdv2011.0
+ Revision: 554243
- adding min version in buildrequires:
- update to 1.101420

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.700-1mdv2010.1
+ Revision: 527964
- import perl-Dist-Zilla-Plugin-PortabilityTests


* Sat Mar 27 2010 cpan2dist 1.100700-1mdv
- initial mdv release, generated with cpan2dist
